com.aliyun.svideosdk.editor

## Interface AliyunIPasterController

- All Known Subinterfaces:
    AliyunPasterController
  All Known Implementing Classes:
    AliyunPasterAbstractController, AliyunPasterControllerCompoundCaption

      public interface AliyunIPasterController

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` Get Caption Render Duration in milliseconds
    `PointF` | `getPosition()` Get the center point position (x,y) of the Caption, the value of x and y is between [0-1]
    `float` | `getRotate()` Get the radian of rotation of the caption
    `RectF` | `getSize()` Get the size of the Caption, get the width and height through `android.graphics.RectF#width()` and `android.graphics.RectF#height()`
    `long` | `getStartTime()` Get Caption Render Start Time in milliseconds
    `int` | `getType()` Gets the sticker type.
    `void` | `setDuration(long aDuration)` Set Caption Render Duration in milliseconds
    `void` | `setPosition(PointF aPosition)` Set the center point position of the caption (x,y), the value of x and y are between [0-1]
    `void` | `setRotate(float radian)` Set the radian of rotation of the caption
    `void` | `setStartTime(long aStartTime)` Set Caption Render Start Time in milliseconds

- - ### Method Detail

    - #### getType

          int getType()

      Gets the sticker type.
      Returns:
        The sticker type.
      See Also:
        `EffectPaster.PASTER_TYPE_GIF`, `EffectPaster.PASTER_TYPE_TEXT`

    - #### getStartTime

          long getStartTime()

      Get Caption Render Start Time in milliseconds
      Returns:
        Render Start Time in milliseconds

    - #### setStartTime

          void setStartTime(long aStartTime)

      Set Caption Render Start Time in milliseconds
      Parameters:
        `aStartTime` - Start Time in milliseconds

    - #### getDuration

          long getDuration()

      Get Caption Render Duration in milliseconds
      Returns:
        Duration in milliseconds

    - #### setDuration

          void setDuration(long aDuration)

      Set Caption Render Duration in milliseconds
      Parameters:
        `aDuration` - Duration in milliseconds

    - #### getPosition

          PointF getPosition()

      Get the center point position (x,y) of the Caption, the value of x and y is between [0-1]
      Returns:
        center point position (x,y), the value of x and y is between [0-1]

    - #### setPosition

          void setPosition(PointF aPosition)

      Set the center point position of the caption (x,y), the value of x and y are between [0-1]
      Parameters:
        `aPosition` - center point position (x,y), the value of x and y is between [0-1]

    - #### getSize

          RectF getSize()

      Get the size of the Caption, get the width and height through `android.graphics.RectF#width()` and `android.graphics.RectF#height()`
      Returns:
        the size of the Caption
      See Also:
        `android.graphics.RectF`

    - #### getRotate

          float getRotate()

      Get the radian of rotation of the caption
      Returns:
        radian

    - #### setRotate

          void setRotate(float radian)

      Set the radian of rotation of the caption
      Parameters:
        `aRotate` - radian